Transcend Docs
API referenceLLM classifier

Classify inputs using the LLM classifier

POST
/llm/classify-text

Classify a given text array input using the LLM classifier

Authorization

Transcend_API_Key
headerAuthorizationBearer <token>

authorization: Bearer <>

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json

Request Body

application/json
  1. body
inputList*array<string>

List of inputs to classify

Items1 <= items
labels*array<string>

The list of labels to classify against

Items1 <= items

Response Body

Input was classified successfully. Responds with the classification result from the LLM classifier for each input.

application/json
  1. response
guesses*array<array<>>

The list of classifications for each input

Example Request
curl -X POST 'https://multi-tenant.sombra.transcend.io/llm/classify-text' \  -H 'authorization: string' \  -H 'content-type: string' \  -H 'Content-Type: application/json' \  -d '{  "inputList": [    "+141562712314",    "user@gmail.com",    "transcend user ID"  ],  "labels": [    "Personal Identifier",    "Medical",    "Generic Personal Information"  ]}'
Example Response
{  "guesses": [    [      {        "type": "Personal Identifier",        "classifierVersion": 20000,        "confidenceLabel": "HIGH",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      },      {        "type": "Generic Personal Information",        "classifierVersion": 20000,        "confidenceLabel": "MEDIUM",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      },      {        "type": "Personal Identifier - User ID",        "classifierVersion": 20000,        "confidenceLabel": "LOW",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      }    ],    [      {        "type": "Medical",        "classifierVersion": 20000,        "confidenceLabel": "HIGH",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      },      {        "type": "Personal Identifier - User ID",        "classifierVersion": 20000,        "confidenceLabel": "HIGH",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      },      {        "type": "Not Personal Data",        "classifierVersion": 20000,        "confidenceLabel": "MEDIUM",        "classificationMethod": "TRANSCEND_LLM_CLASSIFY"      }    ]  ]}